Sie befinden sich hier: eisfair / Pack-Eis
News News News

Content

Dateianzeige für samba (8.0.0)

usr/share/doc/samba/changes.txt
7.1.3 --> 8.0.0 --------------- - 4.9.6 (4.9.6-for-eisfair-1-patch-1, status stable). 7.1.2 --> 7.1.3 --------------- - 4.9.6 (4.9.6-for-eisfair-1-patch-1, status testing). 7.1.1 --> 7.1.2 --------------- - 4.9.5 (4.9.5-for-eisfair-1-patch-1, status testing). - Require base 2.8.13. - /var/install/config.d/samba.sh: Changed "aio read size" and "aio write size" to 1 (was 16384). - /var/install/bin/samba-print-pdf: Since version 4.8 the macro %J does not contain the jobname anymore if printing. Prefer to grep the jobname from title of the postscript file. 7.1.0 --> 7.1.1 --------------- - 4.9.4 (4.9.4-for-eisfair-1-patch-1, status testing). - /etc/check.d/samba.ext: Changed check for installed apache. 6.8.0 --> 7.1.0 --------------- - 4.9.4 (4.9.4-for-eisfair-1-patch-1, status unstable). - Require base 2.8.12. - New build of cifs-utils 6.8. - /tmp/preinstall.sh: Save samba versions earlier 4.9. - /tmp/install.sh: - Deactivate resetting of /etc/nsswitch.conf. - Link libnss_winbind.so: sambalibdir=`smbd -b | grep LIBDIR | awk '{ print $2 }'` rm -f /lib/libnss_winbind.so rm -f /lib/libnss_winbind.so.2 ln -s ${sambalibdir}/libnss_winbind.so.2 /lib/ ln -s /lib/libnss_winbind.so.2 /lib/libnss_winbind.so - /var/install/config.d/samba.sh: - If using SAMBA_PASSWORD_SERVER, then writing password server = $password_server idmap config * : backend = tdb idmap config * : range = 3000-7999 # hier muss in SAMBA_WORKGROUP die externe domaene stehen idmap config $SAMBA_WORKGROUP : backend = rid idmap config $SAMBA_WORKGROUP : range = 10000-999999 template shell = /bin/bash template homedir = /home/%u #winbind enum users = yes #winbind enum groups = yes #winbind use default domain = yes to smb.conf, because since version 4.8 member servers are needing a running winbindd. - If using SAMBA_PASSWORD_SERVER, then executing if ! grep -q 'winbind' /etc/nsswitch.conf then mecho --info "Adding winbind to /etc/nsswitch.conf ..." { echo "passwd: compat winbind" echo "group: compat winbind" } >/etc/nsswitch.conf.samba chmod 0644 /etc/nsswitch.conf.samba chown root:root /etc/nsswitch.conf.samba /var/install/bin/update-nsswitch samba fi , because since version 4.8 member servers are needing a running winbindd. - If using SAMBA_PASSWORD_SERVER, then adding pam_winbind.so to /etc/pam.d with pam-config -a --force --winbind and writing /etc/security/pam_winbind.conf. - If not using SAMBA_PASSWORD_SERVER, then executing if [ -s /etc/nsswitch.conf.samba ] # /etc/nsswitch.conf.samba vorhanden und nicht leer then mecho --info "Resetting /etc/nsswitch.conf to defaults ..." >/etc/nsswitch.conf.samba chmod 0644 /etc/nsswitch.conf.samba chown root:root /etc/nsswitch.conf.samba /var/install/bin/update-nsswitch samba rm -f /etc/nsswitch.conf.samba fi - If not using SAMBA_PASSWORD_SERVER, then removing pam_winbind.so from /etc/pam.d with pam-config -d --winbind and deleting /etc/security/pam_winbind.conf. - Only warn that there are no samba users configured, if not using SAMBA_PASSWORD_SERVER. - Using new path for netcalc. - /etc/check.d/samba.ext: if (samba_pdc && samba_password_server != "") then error "You cannot set SAMBA_PDC='yes' and SAMBA_PASSWORD_SERVER at the same time!" fi - /var/install/config.d/samba-update.sh: if [ "$SAMBA_PDC" = "yes" ] then SAMBA_PASSWORD_SERVER='' fi - /etc/init.d/samba: - In do_loadnmbd remove winbindd_cache.tdb. - In do_startsamba execute do_loadwinbindd if SAMBA_PASSWORD_SERVER is set, because since version 4.8 member servers are needing a running winbindd. - In stop execute if [ $winbinddstatus = alive ] then boot_mesg " - Stopping winbindd ..." for signal in "TERM" "INT" "HUP" "KILL" do /usr/bin/killall -$signal winbindd if [ $? -eq 0 ] then echo_ok break fi boot_mesg " Warning: killall -$signal winbindd failed." echo_warning sleep 1 done sleep 1 rm -f $winbinddpidfile else boot_mesg " Warning: winbindd is not running." echo_warning fi , because since version 4.8 member servers are needing a running winbindd. - /var/install/deinstall/samba: - Remove /var/log/log.wb-?* and /var/log/log.winbind?*. - Remove pam_winbind.so from /etc/pam.d with pam-config -d --winbind and deleting /etc/security/pam_winbind.conf. - Remove /etc/netlogon_creds_cli.tdb*. - /var/install/bin/samba-join-domain: Reworked. - /var/install/bin/samba-lookup-all: Using new path for netcalc. - /var/install/bin/samba-print-pdf: Using new path for uuencode. 6.7.0 --> 6.8.0 --------------- - 4.7.12 (4.7.12-for-eisfair-1-patch-1, status stable). 6.6.0 --> 6.7.0 --------------- - 4.7.12 (4.7.12-for-eisfair-1-patch-1, status testing). - Require base 2.8.11. - Require package acl 2.8.1. - Require package attr 2.8.1. - Require package libarchive13 2.8.1. 6.5.0 --> 6.6.0 --------------- - 4.7.11 (4.7.11-for-eisfair-1-patch-1, status stable). 6.4.0 --> 6.5.0 --------------- - 4.7.11 (4.7.11-for-eisfair-1-patch-1, status testing). - Built with gcc-8. - /var/install/packages/samba: Replaced require-lib libarchive13 2.8.0 with require-package libarchive13 2.8.0. 6.3.0 --> 6.4.0 --------------- - 4.7.10 (4.7.10-for-eisfair-1-patch-1, status stable). 6.2.0 --> 6.3.0 --------------- - 4.7.10 (4.7.10-for-eisfair-1-patch-1, status testing). 6.1.0 --> 6.2.0 --------------- - 4.7.9 (4.7.9-for-eisfair-1-patch-1, status stable). 6.0.0 --> 6.1.0 --------------- - 4.7.9 (4.7.9-for-eisfair-1-patch-1, status testing). 5.0.1 --> 6.0.0 --------------- - 4.7.8 (4.7.8-for-eisfair-1-patch-2, status stable). - Configured with: export CFLAGS='-O2 -march=i486 -mtune=generic' 5.0.0 --> 5.0.1 --------------- - 4.7.8 (4.7.8-for-eisfair-1-patch-2, status testing). - Configured with: export CFLAGS='-O2 -march=i486 -fomit-frame-pointer' export CXXFLAGS="${CFLAGS}" [...] ./configure \ --target=i486-pc-linux-gnu \ [...] - Udated cifs-utils from 6.7 to 6.8, configured with: export CFLAGS='-O2 -march=i486 -fomit-frame-pointer' export CXXFLAGS="${CFLAGS}" [...] ./configure \ --target=i486-pc-linux-gnu \ - /var/install/config.d/samba.sh: Don't write "dos filemode = yes" twice. 4.2.0 --> 5.0.0 --------------- - 4.7.8 (4.7.8-for-eisfair-1-patch-1, status unstable). - Built with gcc-5. - Initial version for eisfair-64. - Require package acl 2.8.0. - Require package attr 2.8.0. - Added /usr/lib/samba/vfs/acl_xattr.so. - /var/install/config.d/samba.sh: - Added unused functions do_check_vfs_acl_xattr and do_write_vfs_acl_xattr. - Don't do this actions from the early days anymore: #if ! grep -q "^tty:" /etc/group #then # /var/install/bin/add-group tty 5 #fi # # do not do this on eisfair-2 #chmod 666 /dev/pty* #chown root.tty /dev/pty* #chmod 666 /dev/ttyp* #chown root.root /dev/ttyp* - Removed handling for justpop.exe. - Check for ghostscript in /usr/local/bin and /usr/bin. - /var/install/bin/samba-print-pdf: Check for ghostscript in /usr/local/bin and /usr/bin. 4.1.1 --> 4.2.0 --------------- - 4.7.7 (4.7.7-for-eisfair-1-patch-1, status stable). - With kerberos_keytab.patch. 4.1.0 --> 4.1.1 --------------- - 4.7.7 (4.7.7-for-eisfair-1-patch-1, status testing). - With kerberos_keytab.patch. 3.22.0 --> 4.1.0 ---------------- - 4.7.7 (4.7.7-for-eisfair-1-patch-1, status unstable). - With kerberos_keytab.patch. - Require libarchive13 2.8.0. - Removed "--without-libarchive" while configuring. - Readdded /usr/bin/smbtar. - /tmp/preinstall.sh: Save samba versions earlier 4.7. - /usr/share/doc/samba/tools/smbwebclient.php: - Filter out "Reconnecting with SMB1 ...". - Deactivated outdated socket options "SO_RCVBUF=8192 SO_SNDBUF=8192". - Include globbing for dotfiles if downloading as zip. - /var/install/config.d/samba.sh: Setting socket options to TCP_KEEPCNT=5 TCP_KEEPIDLE=30 TCP_KEEPINTVL=1 , see https://bugzilla.samba.org/show_bug.cgi?id=12833 3.21.0 --> 3.22.0 ----------------- - 4.6.15 (4.6.15-for-eisfair-1-patch-1, status stable). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - With kerberos_keytab.patch. - Require zip 2.8.0. 3.20.0 --> 3.21.0 ----------------- - 4.6.15 (4.6.15-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - With kerberos_keytab.patch. - Require base 2.8.4. 3.19.0 --> 3.20.0 ----------------- - 4.6.14 (4.6.14-for-eisfair-1-patch-1, status stable). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - With kerberos_keytab.patch. - /var/install/config.d/samba.sh: Changed "$crontab_update" to "$crontab_update" --quiet (Holger Bruenjes). 3.18.0 --> 3.19.0 ----------------- - 4.6.14 (4.6.14-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - With kerberos_keytab.patch. - /etc/check.d/samba.ext: Check for /usr/lib/sendmail and not for /usr/local/exim/bin/exim, if SAMBA_PDF_TARGET='mail'. - /etc/check.d/samba, /etc/check.d/samba.exp: Warn, if SAMBA_COMPAT='yes'. 3.17.0 --> 3.18.0 ----------------- - 4.6.13 (4.6.13-for-eisfair-1-patch-1, status stable). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - With kerberos_keytab.patch. 3.16.0 --> 3.17.0 ----------------- - 4.6.13 (4.6.13-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - With kerberos_keytab.patch. 3.15.1 --> 3.16.0 ----------------- - 4.6.12 (4.6.12-for-eisfair-1-patch-1, status stable). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. 3.15.0 --> 3.15.1 ----------------- - 4.6.12 (4.6.12-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - Synchronized version with samba-dev. 3.14.0 --> 3.15.0 ----------------- - 4.6.12 (4.6.12-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - Added /etc/pam.d/samba in the same version as in base. - /tmp/preinstall.sh, /var/install/deinstall/samba: Remove /etc/pam.d/samba. 3.13.0 --> 3.14.0 ----------------- - 4.6.12 (4.6.12-for-eisfair-1-patch-1, status stable). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. 3.12.2 --> 3.13.0 ----------------- - 4.6.12 (4.6.12-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - /var/install/config.d/samba.sh: Add " allocation roundup size = 4096" if " strict allocate = yes" to not waste space. 3.12.1 --> 3.12.2 ----------------- - 4.6.11 (4.6.11-for-eisfair-1-patch-1, status stable). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. 3.12.0 --> 3.12.1 ----------------- - 4.6.10 (4.6.10-for-eisfair-1-patch-1, status stable) - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. 3.11.0 --> 3.12.0 ----------------- - 4.6.9 (4.6.9-for-eisfair-1-patch-1, status stable). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - /var/install/bin/samba-print-pdf: Changed version=`cat /etc/version` to version=`lsb-release -rs` on request of Holger Bruenjes. 3.10.0 --> 3.11.0 ----------------- - 4.6.9 (4.6.9-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. 3.9.0 --> 3.10.0 ---------------- - 4.6.8 (4.6.8-for-eisfair-1-patch-1, status stable) - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. 3.8.0 --> 3.9.0 --------------- - 4.6.8 (4.6.8-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. 3.7.0 --> 3.8.0 --------------- - 4.6.7 (4.6.7-for-eisfair-1-patch-1, status stable). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. 3.6.0 --> 3.7.0 --------------- - 4.6.7 (4.6.7-for-eisfair-1-patch-1, status testing). - With debian-S12761-s3-printing-Change-to-GUID-dir-if-we-deal-with-COPY.patch. - Udated cifs-utils from 6.5 to 6.7. - /var/install/config.d/samba.sh: Add PCC below W32X86 and x64 in driverpath. 3.5.0 --> 3.6.0 --------------- - 4.6.6 (4.6.6-for-eisfair-1-patch-1, status stable). - With spoolss_fix_copy_from_directory_32bit-v4-6_2.patch. 3.4.0 --> 3.5.0 --------------- - 4.6.6 (4.6.6-for-eisfair-1-patch-1, status testing). - With spoolss_fix_copy_from_directory_32bit-v4-6_2.patch. - /var/install/bin/userman.cui.samba20.module.sh: Path to add-group corrected. 3.3.1 --> 3.4.0 --------------- - 4.6.5 (4.6.5-for-eisfair-1-patch-1, status stable). - With spoolss_fix_copy_from_directory_32bit-v4-6.patch. 3.3.0 --> 3.3.1 --------------- - 4.6.5 (4.6.5-for-eisfair-1-patch-1, status testing). - With spoolss_fix_copy_from_directory_32bit-v4-6.patch. - /tmp/preinstall.sh: Going back to require only base 2.7.2. 3.2.0 --> 3.3.0 --------------- - 4.6.5 (4.6.5-for-eisfair-1-patch-1, status testing). - With spoolss_fix_copy_from_directory_32bit-v4-6.patch. - Built with --without-libarchive because dependencies of libarchive preventing updates to actual versions. That's why tarmode of smbclient is no longer available. - Removed /usr/bin/smbtar for the same reason. - Removed libarchive 2.6.1 from info file. - Going back to require only base 2.7.2. 3.1.5 --> 3.2.0 --------------- - 4.6.4 (4.6.4-for-eisfair-1-patch-1, status stable) - with spoolss_fix_copy_from_directory_32bit-v4-6.patch 3.1.4 --> 3.1.5 --------------- - 4.6.4 (4.6.4-for-eisfair-1-patch-1, status testing) - added spoolss_fix_copy_from_directory_32bit-v4-6.patch 3.1.3 --> 3.1.4 --------------- - 4.6.3 (4.6.3-for-eisfair-1-patch-2, status testing) - added spoolss_fix_copy_from_directory_32bit-v4-6.patch - /var/install/config.d/samba.sh: - changed function do_strict_allocate to safe working with spaces in path (Marcus Roeckrath) - changed function do_strict_allocate to check /home if path is %H 3.1.2 --> 3.1.3 --------------- - 4.6.3 (4.6.3-for-eisfair-1-patch-2, status testing) - added spoolss_fix_copy_from_directory_32bit-v4-6.patch - /var/install/config.d/samba.sh: - do not use deprecated option "acl check permissions" in netlogon by samba as PDC anymore (Juergen Edner) - new function do_strict_allocate: setting "strict allocate = yes" in the share if the underlaying file system is ext4 or xfs which are supporting extends. This is needed if you want to backup a Windows system to samba shares and for performance reasons, see https://wiki.samba.org/index.php/Linux_Performance https://www.heise.de/newsticker/meldung/c-t-Tipp-der-Woche\ -Windows-10-Systemabbild-auf-Synology-NAS-3678852.html - do not check for user_xattr in mtab because default mount options are not listed in newer kernel versions anymore. Now the options "force unknown acl user = yes" "inherit acls = yes" "map acl inherit = yes" "map hidden = no" "map system = no" "map archive = no" "map read only = no" "store dos attributes = yes" "ea support = yes" are again will be set. 3.1.1 --> 3.1.2 --------------- - 4.6.3 (4.6.3-for-eisfair-1-patch-1, status testing) 3.1.0 --> 3.1.1 --------------- - 4.6.1 (4.6.1-for-eisfair-1-patch-1, status unstable) 2.40.0 --> 3.1.0 ----------------- - 4.6.0 (4.6.0-for-eisfair-1-patch-1, status unstable) - require base 2.7.9 (was 2.7.2) - require eiskernel 2.28.0 (was 2.20.1) - require lprng 2.10.0 (was 2.6.0) - require libarchive 2.6.1 (was 2.6.0) - The former eisfair samba version based on 4.3 but is EOL. Newer samba versions (4.4, 4.5 and 4.6) are coming without pam_smbpass. Thats why there is no password synchronization possible anymore with all newer samba versions. - added SAMBA_COMPAT: Newer Samba versions improve security with much more restrictive settings. This can lead to problems with older clients and servers. If setting SAMBA_COMPAT to yes these settings are relaxed. But keep in mind that this makes your Samba server much more insecure. Please always set SAMBA_COMPAT to no at first and check your clients and servers before setting SAMBA_COMPAT to yes! - /tmp/preinstall.sh: Save versions < 4.6 (was 4.3) - /var/install/config.d/samba.sh: removed 'socket options' 2.39.0 --> 2.40.0 ----------------- - 4.3.13 (4.3.13-for-eisfair-1-patch-1, status stable) - going back to - require base 2.7.2 - require lprng 2.6.0 - require libarchive 2.6.0 But actual libarchive require base 2.7.4 and base 2.7.4 require an actual samba version (2.32.0 or newer) - this will also lead to problems... 2.38.0 --> 2.39.0 ----------------- - 4.3.13 (4.3.13-for-eisfair-1-patch-1, status testing) - require base 2.7.4 - require lprng 2.10.0 - require libarchive 2.6.1 2.37.0 --> 2.38.0 ----------------- - 4.3.12 (4.3.12-for-eisfair-1-patch-1, status stable) 2.36.1 --> 2.37.0 ----------------- - 4.3.12 (4.3.12-for-eisfair-1-patch-1, status testing) - /var/install/bin/userman.cui.samba10.module.sh, /var/install/bin/userman.cui.samba20.module.sh: new versions - /var/install/deinstall/samba: only check for switch ---update, if $1 is set, otherwise there is an error on normal deinstallations 2.36.0 --> 2.36.1 ----------------- - 4.3.11 (4.3.11-for-eisfair-1-patch-1, status stable) - /var/install/deinstall/samba: introduce switch ---update - if set, then exit 0 - /tmp/preinstall.sh: - if switch --update exist in /var/install/deinstall/samba, execute /var/install/bin/del-package --update samba to clear samba from eisman db - removed message "Preinstalling samba ..." 2.35.0 --> 2.36.0 ----------------- - 4.3.11 (4.3.11-for-eisfair-1-patch-1, status stable) - /etc/check.d/samba.exp: reworked warnings 2.34.0 --> 2.35.0 ----------------- - 4.3.11 (4.3.11-for-eisfair-1-patch-1, status testing) 2.33.0 --> 2.34.0 ----------------- - 4.3.10 (4.3.10-for-eisfair-1-patch-1, status stable) 2.32.0 --> 2.33.0 ----------------- - 4.3.10 (4.3.10-for-eisfair-1-patch-1, status testing) 2.31.2 --> 2.32.0 ----------------- - 4.3.9 (4.3.9-for-eisfair-1-patch-1, status stable) 2.31.1 --> 2.31.2 ----------------- - 4.3.9 (4.3.9-for-eisfair-1-patch-1, status testing) - built with libcap support - udated cifs-utils from 6.4 to 6.5 - built cifs-utils with libcap-ng support 2.31.0 --> 2.31.1 ----------------- - 4.3.8 (4.3.8-for-eisfair-1-patch-3, status testing) - require base 2.7.2 - require eiskernel 2.20.1 - /var/install/config.d/samba.sh: changed passwd chat for shadow utils in base 2.6.8 or higher from passwd chat = *New*Password:* %n\n *Reenter*New*Password:* %n\n *Password*changed* to passwd chat = *New*Password:* %n\n *Retype*new*password:* %n\n *password*updated* 2.30.0 --> 2.31.0 ----------------- - 4.3.8 (4.3.8-for-eisfair-1-patch-2, status testing) - configured with --with-lockdir=/var/lib/samba \ --with-cachedir=/var/lib/samba \ --with-statedir=/var/lib/samba \ 2.29.0 and 2.30.0 were false configured with --with-lockdir=/run/lock/samba \ --with-cachedir=/run/lock/samba \ --with-statedir=/run/lock/samba \ Persistent printer associations are lost if updating from 2.29.0 and 2.30.0 - sorry 2.29.0 --> 2.30.0 ----------------- - 4.3.8 (4.3.8-for-eisfair-1-patch-1, status stable) 2.28.0 --> 2.29.0 ----------------- - 4.3.8 (4.3.8-for-eisfair-1-patch-1, status testing) 2.27.0 --> 2.28.0 ----------------- - 4.3.6 (4.3.6-for-eisfair-1-patch-1, status stable) - /usr/share/doc/samba/regpatches: added windows10_join_disable.reg and windows10_join_enable.reg 2.26.2 --> 2.27.0 ----------------- - 4.3.6 (4.3.6-for-eisfair-1-patch-1, status testing) - configured with --with-lockdir=/var/lib/samba \ --with-cachedir=/var/lib/samba \ --with-statedir=/var/lib/samba \ - /tmp/preinstall.sh: - save old version, if /run/lock/samba exist and 2.27.0 or newer is not installed - if /run/lock/samba exist and 2.27.0 or newer is installed remove /run/lock/samba - if /run/lock/samba exist and 2.27.0 or newer is not installed remove /var/lib/samba - move /run/lock/samba to /var/lib, if /var/lib/samba dont exist and /run/lock/samba exist - rm -rf /var/lib/samba/nmbd after move if exist /run/lock/samba/nmbd/unexpected was an old sockets file from version prior 2.21.1 - /tmp/install.sh: - don't create /var/lib/samba or /run/samba, this will done in /etc/init.d/samba now - /etc/init.d/samba: - changed lockdir='/run/lock/samba' to lockdir='/var/lib/samba' - create lockdir='/var/lib/samba', if not exist - create socketsdir='/run/samba', if not exist - nmbd and smbd cannot start without and run is in new versions mounted as tmpfs - /var/install/bin/samba-winshook: changed cache_file=/var/lock/samba/wins_update.cache to cache_file=/var/lib/samba/wins_update.cache 2.26.1 --> 2.26.2 ----------------- - 4.3.6 (4.3.6-for-eisfair-1-patch-1, status stable) - /tmp/preinstall.sh: If /run/lock/samba dont exist and /var/lib/samba exist, move /var/lib/samba to /run/lock. This is for users, which are want to switch back from samba 2.27.0 with /var/lib/samba to 2.26.x with /run/lock/samba. 2.26.0 --> 2.26.1 ----------------- - 4.3.5 (4.3.5-for-eisfair-1-patch-1, status stable) - /var/install/config.d/samba.sh: changed check for mounted ext file systems with acl and user_xattr due different output from /etc/mtab with base 2.6.5 and later from if grep ' / ext' /etc/mtab | grep 'acl,user_xattr' >/dev/null 2>&1 to if grep ' / ext' /etc/mtab | grep 'user_xattr' >/dev/null 2>&1 because a smb.conf without force unknown acl user = yes inherit acls = yes map acl inherit = yes map hidden = no map system = no map archive = no map read only = no store dos attributes = yes ea support = yes was written and the file desktop.ini had lost the system attribute. Found by Detlef Paschke. 2.25.0 --> 2.26.0 ----------------- - 4.3.5 (4.3.5-for-eisfair-1-patch-1, status stable) 2.24.0 --> 2.25.0 ----------------- - 4.3.5 (4.3.5-for-eisfair-1-patch-1, status testing) - require base 2.6.6 - require eiskernel 2.16.0 2.23.0 --> 2.24.0 ----------------- - 4.3.4 (4.3.4-for-eisfair-1-patch-1, status stable) 2.22.0 --> 2.23.0 ----------------- - 4.3.4 (4.3.4-for-eisfair-1-patch-1, status testing) 2.21.2 --> 2.22.0 ----------------- - 4.3.3 (4.3.3-for-eisfair-1-patch-1, status stable) 2.21.1 --> 2.21.2 ----------------- - 4.3.3 (4.3.3-for-eisfair-1-patch-1, status testing) 2.21.0 --> 2.21.1 ----------------- - 4.3.2 (4.3.2-for-eisfair-1-patch-1, status testing) - configure with --with-sockets-dir=/run/samba - require eiskernel 2.14.0 - removed /usr/share/doc/samba/tools/justpop.exe - /usr/share/doc/samba/tools/logon.bat: removed line with justpop.exe 2.20.1 --> 2.21.0 ----------------- - 4.3.1 (4.3.1-for-eisfair-1-patch-1, status unstable) - require libarchive 2.6.0 for tar function of smbclient - require zip 2.6.0 for smbwebclient - new var SAMBA_INSECURE: If 'yes', bind to all interfaces and allow all nets. SAMBA_INTERFACES, SAMBA_TRUSTED_NETS and interfaces from base were ignored. - /tmp/preinstall.sh: remove ' br x br' from kernel error message - /etc/init.d/samba: - changed lockdir='/var/lock/samba' to lockdir='/run/lock/samba' - don't create empty unexpected.tdb in lockdir in do_loadnmbd - don't delete gencache.tdb and gencache_notrans.tdb in do_loadnmbd - create backups with tdbdump with option '-l' now, because gencache_notrans.tdb is a mutex tdb and otherwise complains with: tdb_mutex_open_ok[/run/lock/samba/gencache_notrans.tdb]: Can use mutexes only with MUTEX_LOCKING or NOLOCK Failed to open /run/lock/samba/gencache_notrans.tdb - sleep 1 after stopping smbd and nmbd for self deleting of pid files - clean up old messaging sockets /etc/msg.sock/?* $lockdir/msg.lock/?* - /usr/bin/smbstat: correct do_c_status to not filter out lines with ':' due changed machine output of smbstatus with the ':' in it, eg: 192.168.6.72 (ipv4:192.168.6.112:51149) - /var/install/config.d/samba.sh: - setting "require strong key = no" for compatibility with older servers - setting "allow nt4 crypto = yes" for compatibility with older clients - deactivated "max protocol = SMB3" and "client max protocol = SMB3", because the default in 4.3 _is_ SMB3 (means SMB3_11 - WIN 10) smbstatus is showing protocol level of clients now - changed " dont descend = proc" for share 'all' to " dont descend = proc,sys,dev" due recursiv structure - /tmp/preinstall.sh: - save parts of samba versions earlier 4.3 - change var/lock/samba to run/lock/samba in backup routine for samba versions earlier 4.3 - /tmp/install.sh: - changed lockdir='/var/lock/samba' to lockdir='/run/lock/samba' - changed rundir /var/run/samba to /run/samba - /var/install/deinstall/samba: added '$rm_command /etc/msg.sock' - /var/install/bin/samba-check-status: changed smbdpidfile='/var/run/smbd.pid' nmbdpidfile='/var/run/nmbd.pid' winbinddpidfile='/var/run/winbindd.pid' to smbdpidfile='/run/smbd.pid' nmbdpidfile='/run/nmbd.pid' winbinddpidfile='/run/winbindd.pid' 2.19.0 --> 2.20.0 ----------------- - 4.1.20 (4.1.20-for-eisfair-1-patch-1, status stable) 2.18.0 --> 2.19.0 ----------------- - 4.1.20 (4.1.20-for-eisfair-1-patch-1, status testing) - require base 2.6.4 - require eiskernel 2.12.0 - build against libc 2.15 - cifs-utils build against libc 2.15 - /usr/bin/smbmnt, /usr/bin/smbmount, /usr/bin/smbumount: removed deprecated smbfs progs (no module in new kernel versions) - removed SAMBA_MOUNT_x_VFSTYPE and SAMBA_MOUNT_x_CODEPAGE from configuration and many scripts: There is no smbfs module in our kernel anymore and cifs don't accept a codepage. 2.17.0 --> 2.18.0 ----------------- - 4.1.19 (4.1.19-for-eisfair-1-patch-1, status stable) 2.16.0 --> 2.17.0 ----------------- - 4.1.19 (4.1.19-for-eisfair-1-patch-1, status testing) 2.15.0 --> 2.16.0 ----------------- - 4.1.18 (4.1.18-for-eisfair-1-patch-1, status stable) - require lprng 2.6.0 - /var/install/bin/samba-list-smbfs, /var/install/bin/samba-list-user, /var/install/bin/samba-list-workstation, /var/install/bin/samba-mount-predefined-smbfs: direct use of /dev/tty - /var/install/bin/samba-mount-predefined-smbfs: changed mecho --n --std to mecho -n --std (parameter syntax is stupidly not consistent) 2.14.0 --> 2.15.0 ----------------- - 4.1.18 (4.1.18-for-eisfair-1-patch-1, status testing) - tar package without dirs - /etc/check.d/samba.ext, /tmp/preinstall.sh, /var/install/config.d/samba-update.sh, /var/install/config.d/samba.sh, /var/install/deinstall/samba: don't check for eisfair2 2.13.0 --> 2.14.0 ----------------- - 4.1.18 (4.1.18-for-eisfair-X-patch-1, status stable) 2.12.1 --> 2.13.0 ----------------- - 4.1.18 (4.1.18-for-eisfair-X-patch-1, status testing) - require base 2.4.0 - require eiskernel 2.8.0 - /etc/check.d/samba.ext: allow 3.x.xx-eisfair-1 as utf8 kernel (checking /proc/version) 2.12.0 --> 2.12.1 ----------------- - 4.1.17 (4.1.17-for-eisfair-X-patch-1, status stable) - /etc/check.d/samba.ext: also allow 3.2.67-eisfair-1 as utf8 kernel 2.11.1 --> 2.12.0 ----------------- - 4.1.17 (4.1.17-for-eisfair-X-patch-1, status stable) - using '--datarootdir=/usr/lib' for /usr/lib/samba/codepages 2.11.0 --> 2.11.1 ----------------- - 4.1.16 (4.1.16-for-eisfair-X-patch-1, status testing) 2.10.1 --> 2.11.0 ----------------- - 4.1.15 (4.1.15-for-eisfair-X-patch-1, status testing) 2.10.0 --> 2.10.1 ----------------- - 4.1.14 (4.1.14-for-eisfair-X-patch-1, status stable) - /var/install/config.d/samba.sh: deactivating 'strict allocate = yes', some people have problems with it and ext3 file systems 2.9.0 --> 2.10.0 --------------- - 4.1.14 (4.1.14-for-eisfair-X-patch-1, status stable) - /var/install/deinstall/samba: also removing /quarantine, an early used directory from samba_vscan 2.8.0 --> 2.9.0 --------------- - 4.1.14 (4.1.14-for-eisfair-X-patch-1, status testing) 2.7.1 --> 2.8.0 --------------- - 4.1.13 (4.1.13-for-eisfair-X-patch-1, status stable) 2.7.0 --> 2.7.1 --------------- - 4.1.13 (4.1.13-for-eisfair-X-patch-1, status testing) - patches for function daemon_ready - /var/install/config.d/samba.sh: setting 'strict allocate = yes', see https://wiki.samba.org/index.php/Linux_Performance 2.6.0 --> 2.7.0 --------------- - 4.1.12 (4.1.12-for-eisfair-X-patch-1, status testing) - require lprng 2.4.1 - /usr/sbin/umount.cifs: removed unused old unmaintained samba internal version - /usr/sbin/mount.cifs: replaced old unmaintained samba internal version with mount.cifs from cifs-utils 6.4 - /tmp/install.sh: removed '/var/install/bin/del_advancedconfigmenu -quiet samba' completely because this triggers a deprecate warning 2.5.11 --> 2.6.0 ---------------- - 4.1.11 (4.1.11-for-eisfair-X-patch-1, status stable) - /var/install/bin/samba-mount-smbfs: - change the returned iocharset from samba from utf-8 to utf8 because mount.cifs don't accept utf-8 - only ask for codepage if fstype is smbf because cifs is ignoring codepage 2.5.10 --> 2.5.11 ----------------- - 4.1.11 (4.1.11-for-eisfair-X-patch-1, status testing) 2.5.9 --> 2.5.10 ---------------- - 4.1.10 (4.1.10-for-eisfair-X-patch-1, status testing) - /tmp/install.sh: only execute '/var/install/bin/del_advancedconfigmenu -quiet samba' if /var/install/bin/del_advancedconfigmenu exist (removed since base 2.3.1) 2.5.8 --> 2.5.9 --------------- - 4.1.9 (4.1.9-for-eisfair-X-patch-1, status testing) 2.5.7 --> 2.5.8 --------------- - 4.1.8 (4.1.8-for-eisfair-X-patch-1, status testing) - added SAMBA_RECYCLE_BIN_CRONTAB - /var/install/config.d/samba.sh: dont setting 'dos filetime resolution = yes' anymore (see https://bugzilla.samba.org/show_bug.cgi?id=3124) 2.5.6 --> 2.5.7 --------------- - 4.1.7 (4.1.7-for-eisfair-X-patch-1, status testing) - integrated patches for bugs https://bugzilla.samba.org/show_bug.cgi?id=10239 https://bugzilla.samba.org/show_bug.cgi?id=10328 2.5.5 --> 2.5.6 --------------- - 4.1.6 (4.1.6-for-eisfair-X-patch-1, status testing) - /etc/init.d/samba, /tmp/preinstall.sh: do not grep for /dev/loop when checking for mounted /samba_dfs (mount on 3.2 does not show loop) 2.5.4 --> 2.5.5 --------------- - 4.1.6 (4.1.6-for-eisfair-X-patch-1, status testing) - /var/install/config.d/samba.sh: setting 'print notify backchannel = no' because since vista this is not possible anymore - /var/install/bin/samba-mount-smbfs: - change default vfstype from smbfs to cifs - only use codepage if vfstype is smbfs - /usr/share/doc/samba/samba.txt: changes for newer versions 2.5.3 --> 2.5.4 --------------- - 4.1.5 (4.1.5-for-eisfair-X-patch-1, status testing) - /var/install/config.d/samba-update.sh: - changed SAMBA_MOUNT_x_VFSTYPE to 'cifs' for first install (no smbfs module with 3.2) - setting SAMBA_MOUNT_x_IOCHARSET to 'iso8859-15' or 'utf8' for first install depending on LC_CTYPE 2.5.2 --> 2.5.3 --------------- - 4.1.4 (4.1.4-for-eisfair-X-patch-1, status testing) - /etc/check.d/samba.ext: also accept 3.2.54-eisfair-1 as UTF-8 kernel - /var/install/config.d/samba.sh: - do not grep for /dev/loop when checking for mounted /samba_dfs (mount on 3.2 does not show loop) - do not create samba mount, if SAMBA_MOUNT_x_VFSTYPE is smbfs and smbfs is not available (3.2) - /var/install/dialog.d/SAMBA_VFSTYPE.sh: evaluate available types (smbfs, cifs) at configure time from modules.dep of the running kernel 2.5.1 --> 2.5.2 --------------- - 4.1.4 (4.1.4-for-eisfair-X-patch-1, status testing) - require base 2.2.5 2.5.0 --> 2.5.1 --------------- - 4.1.2 (4.1.2-for-eisfair-X-patch-1, status testing) - configured with --with-statedir=/var/lock/samba (was /var/lib/samba) - /usr/share/doc/samba/tools/smbwebclient.php: - filter out flag N (Marcus Roeckrath) - activate date_default_timezone_set - using 24 our time format - corrected date format in en from "m/d/Y H:i" to "m/d/Y h:i" because the position for the translated text for other languages was not found (Juergen Edner) - make zipped download of directories also work for the root of the share (Marcus Roeckrath) - added logrotate file /etc/logrotate.d/samba - /etc/check.d/samba.ext: - deactivated check for samba_winsserver && samba_extwinsip - deactivated check for samba_pdc && !samba_masterbrowser - deactivated check for samba_pdc && samba_password_server - /var/install/config.d/samba.sh: - added warning if SAMBA_WINSSERVER and SAMBA_EXTWINSIP are both set - rewrite PDC options to only apply SAMBA_PASSWORD_SERVER if SAMBA_PDC is not set - added warning if SAMBA_PDC and SAMBA_PASSWORD_SERVER are both set - write debug level to /etc/smbwebclient.conf - read TIME_ZONE from base and write it to /etc/smbwebclient.conf (if CET or GMT or empty, use Europe/Berlin) - apply new options also for 4.1 (was 3.6) and thats why aio and so on was not used - changed 'max protocol = SMB2' to 'max protocol = SMB3' - added 'client max protocol = SMB3' - added 'acl allow execute always = yes' - do not change name resolve order, if samba is acting as a WINS server - /var/install/bin/samba-mount-predefined-smbfs: exiting if no /etc/fstab-smbfs with predefined mounts exist - /var/install/deinstall/samba: remove /var/lib/samba (version 2.5.0 used this as statedir) 2.4.1 --> 2.5.0 --------------- - 4.1.0 (4.1.0-for-eisfair-X-patch-1, status unstable) - require base 2.2.4 - /var/install/config.d/samba.sh: - disabled 'display charset' and 'acl compatibility' for samba 4.1.0 - /tmp/preinstall.sh: only save versions which are not 4.x 2.4.2 --> 2.4.3 --------------- - 3.6.24 (3.6.24-for-eisfair-X-patch-1, status stable) 2.4.1 --> 2.4.2 --------------- - 3.6.23 (3.6.23-for-eisfair-X-patch-1, status stable) 2.4.0 --> 2.4.1 --------------- - 3.6.22 (3.6.22-for-eisfair-X-patch-1, status stable) - /tmp/preinstall.sh: - also save /etc/passdb.tdb if internal samba version is not 3.6.x - warn and ask before installation, if there is a samba version with a newer internal version (4.x) installed because such a installation is not functional and only recommended, if following the instructions to manually restoring an old version from a backup 2.3.0 --> 2.4.0 --------------- - 3.6.19 (3.6.19-for-eisfair-X-patch-1, status stable) 2.2.0 --> 2.3.0 --------------- - 3.6.19 (3.6.19-for-eisfair-X-patch-1, status testing) 2.1.3 --> 2.2.0 --------------- - 3.6.18 (3.6.18-for-eisfair-X-patch-1, status stable) 2.1.2 --> 2.1.3 --------------- - 3.6.18 (3.6.18-for-eisfair-X-patch-1, status testing) - changed mecho invocation in many scripts from 'mecho -' to 'mecho --' 2.1.1 --> 2.1.2 --------------- - 3.6.18 (3.6.18-for-eisfair-X-patch-1, status unstable) - require base 2.2.2 2.1.0 --> 2.1.1 --------------- - 3.6.17 (3.6.17-for-eisfair-X-patch-1, status unstable) - require base 2.0.5 - require eiskernel 2.4.0 or newer - built --with-aio-support - removed: SAMBA_PASSWORD_SERVER_TYPE now always 'domain' is used because newer clients which are using NTLMv2 cannot authenticate with 'server' you have to integrate eisfair into the authenticating domain now! - /var/install/config.d/samba.sh: - new parameters for 3.6.x: max protocol = SMB2 min receivefile size = 16384 aio read size = 16384 aio write size = 16384 client ntlmv2 auth = no - removed: kernel change notify = no this was deactivated, because eisfair-2 kernels had problems with inotify and eisfair-1 with kernel 2.4.35-wt1 and older glibc versions had no usable inotify implementations maybe this has to be rechecked for installations on eisxen - integrated do_share_always in normal options in global section - removed deprecated 'enable privileges = no' - changed macro definitions for %u and %g in 'logon script' to upper case %U and %G, because with passdb backend tdbsam the lower case macros are not honored anymore - /etc/check.d/samba.ext: correctly check for LC_CTYPE='xx_XX.UTF-8' in environment configuration, if SAMBA_LOCALIZATION='UTF-8' - /etc/check.d/samba: - only show SAMBA_PASSWORD_SERVER, if !SAMBA_PDC - only show SAMBA_EXTWINSIP, if !SAMBA_WINSSERVER - /tmp/install.sh: - refactored converting to UTF-8 - converting smbpasswd to tdbsam - /var/install/dialog.d: added SAMBA_CODEPAGE.sh SAMBA_IOCHARSET.sh SAMBA_LOCAL.sh SAMBA_LOGONSCRIPT.sh SAMBA_PDFTARGET.sh SAMBA_PRINTERTYPE.sh SAMBA_PRNCAPNAM.sh SAMBA_PRNPDFOPT.sh SAMBA_SHTDMESHOS.sh SAMBA_VFSTYPE.sh - /var/install/bin/samba-*: refactored many scripts - /tmp/preinstall.sh: disable glibc check - /var/install/bin/samba-list-user: check for NT password hash for set passwords (was LM password hash) - /etc/init.d/samba: dont delete $lockdir/registry.tdb on samba start, this file now holds associations between uploaded drivers and files in upload area (/samba_printer_drivers) - /var/install/bin/samba-remove-user: using pdbedit now (was smbpasswd) for removing users, because smbpasswd from samba 3.6.x cannot remove samba user root - /var/install/bin/samba-create-smbpasswd, /var/install/bin/samba-mksmbpasswd: removed, we are using tdbsam now - /var/install/bin/userman.cui.samba10.module.sh, /var/install/bin/userman.cui.samba20.module.sh: changed for tdbsam (Daniel Vogel) - /usr/share/doc/samba/tools/changepassword.cgi, /usr/share/doc/samba/tools/eis_changepassword.jpg: removed, we are using tdbsam now 2.0.5 --> 2.0.6 --------------- - 3.5.22 (3.5.22-for-eisfair-X-patch-1, status stable) - require base 2.0.5 - require eiskernel 2.4.0 2.0.4 --> 2.0.5 --------------- - 3.5.20 (3.5.20-for-eisfair-X-patch-1, status stable) - /tmp/preinstall.sh: disable glibc check 2.0.4 --> 2.1.0 --------------- - 3.5.21 (3.5.21-for-eisfair-X-patch-1, status testing) - require base 2.0.4 - /tmp/install.sh: converting /etc/check.d/samba.exp, /var/install/bin/samba-pdc-groupmapping to UTF-8, if LC_CTYPE is at UTF-8 charset 2.0.3 --> 2.0.4 --------------- - 3.5.20 (3.5.20-for-eisfair-X-patch-1, status stable) - /var/install/config.d/samba-update.sh: if installing the first time on eisfair-1 with LC_CTYPE='xxx.utf8' or LC_CTYPE='xxx.UTF-8' (base 2.0.5), creating sample config with SAMBA_LOCALIZATION='UTF-8' always creating default config with SAMBA_LOCALIZATION='UTF-8', if on eisfair-1 with LC_CTYPE='xxx.utf8' or LC_CTYPE='xxx.UTF-8' (base 2.0.5) - /etc/check.d/samba.ext: also accepting .UTF-8 (base 2.0.5) in /etc/config.d/environment for UTF-8 - /tmp/install.sh: converting /etc/check.d/samba.exp, /var/install/bin/samba-pdc-groupmapping to UTF-8, if LC_CTYPE is at UTF-8 charset 2.0.2 --> 2.0.3 --------------- - 3.5.20 (3.5.20-for-eisfair-X-patch-1, status stable) - /etc/check.d/samba.ext: only check for 2.6.32-eisfair-1 in /var/install/packages/eiskernel, if not running under Xen (Peter Schiefer) changed error in warning, if SAMBA_WINSHOOK is 'no' and SAMBA_WINSHOOK_MESSAGE_SEND is 'yes' or SAMBA_WINSHOOK_DNSUPDATE is 'yes', because with ECE these vars are not visible, if SAMBA_WINSHOOK is 'no' (Marcus Roeckrath) - /var/install/config.d/samba-update.sh: if installing the first time on eisfair-1 with LC_CTYPE='xxx.utf8' creating sample config with SAMBA_LOCALIZATION='UTF-8' always creating default config with SAMBA_LOCALIZATION='UTF-8' if on eisfair-1 with LC_CTYPE='xxx.utf8' - /usr/share/doc/samba/regpatches/windows7_join_disable.reg, /usr/share/doc/samba/regpatches/windows7_join_ensable.reg: changed rights from 777 2001.100 to 744 root.root (Marcus Roeckrath) 2.0.1 --> 2.0.2 --------------- - 3.5.20 (3.5.20-for-eisfair-X-patch-1, status stable) 2.0.0 --> 2.0.1 --------------- - 3.5.20 (3.5.20-for-eisfair-X-patch-1, status testing) - /etc/init.d/samba, /etc/init.d/smbfs: using /etc/init.d/functions - /var/install/config.d/samba.sh: delete /etc/fstab-smbfs, if SAMBA_MANUAL_CONFIGURATION='no' - require lprng 2.0.1 1.59.0 --> 2.0.0 ----------------- - 3.5.20 (3.5.20-for-eisfair-X-patch-1, status testing) - built with new developer for glibc 2.8 - require base 2.0.1 1.58.0 --> 1.59.0 ----------------- - 3.5.20 (3.5.20-for-eisfair-X-patch-1, status testing) 1.57.1 --> 1.58.0 ----------------- - 3.5.19 (3.5.19-for-eisfair-X-patch-1, status stable) 1.57.0 --> 1.57.1 ----------------- - 3.5.19 (3.5.19-for-eisfair-X-patch-1, status testing) - corrected userman.cui.samba10.module.sh (Daniel Vogel) - /etc/check.d/samba.exp: changed SAMBA_NAME_ERR to allow up to 24 chars with space and underscore (Marcus Roeckrath) 1.56.0 --> 1.57.0 ----------------- - 3.5.19 (3.5.19-for-eisfair-X-patch-1, status testing) 1.55.2 --> 1.56.0 ----------------- - 3.5.18 (3.5.18-for-eisfair-X-patch-1, status stable) - /etc/preinstall.sh: also accept glibc 2.8 - /etc/init.d/smbfs: sleep 1 before removing the cifs or smbfs module because kernel 2.6 needs some time 1.55.1 --> 1.55.2 ----------------- - 3.5.18 (3.5.18-for-eisfair-X-patch-1, status testing) - disable dirsort due open bugs: https://bugzilla.samba.org/buglist.cgi?quicksearch=dirsort 1.55.0 --> 1.55.1 ----------------- - 3.5.18 (3.5.18-for-eisfair-X-patch-1, status testing) - require base 1.8.7 - added /usr/bin/smbget - added /usr/lib/samba/vfs/dirsort - always use dirsort in directory listings 1.54.5 --> 1.55.0 ----------------- - 3.5.18 (3.5.18-for-eisfair-X-patch-1, status testing) - /var/install/help/samba: document SAMBA_LOCALIZATION better - /var/install/config.d/samba.sh: allow SAMBA_LOCALIZATION='UTF-8' for eisfair-1, if LC_CTYPE='XXX.utf8' is set in environment configuration and kernel 2.6.32-eisfair-1 is running - /etc/check.d/samba.ext: allow SAMBA_LOCALIZATION='UTF-8' for eisfair-1, if LC_CTYPE='XXX.utf8' is set in environment configuration and kernel 2.6.32-eisfair-1 is running Do not change SAMBA_LOCALIZATION, if you have already copied files to eisfair or installed programs on eisfair! 1.54.4 --> 1.54.5 ----------------- - 3.5.18 (3.5.18-for-eisfair-X-patch-1, status stable) 1.54.3 --> 1.54.4 ----------------- - 3.5.17 (3.5.17-for-eisfair-X-patch-1, status stable) 1.54.2 --> 1.54.3 ----------------- - 3.5.16 (3.5.16-for-eisfair-X-patch-1, status stable) 1.54.1 --> 1.54.2 ----------------- - 3.5.15 (3.5.15-for-eisfair-X-patch-1, status stable) 1.54.0 --> 1.54.1 ----------------- - 3.5.14 (3.5.14-for-eisfair-X-patch-1, status stable) 1.53.0 --> 1.54.0 ----------------- - 3.5.13 (3.5.13-for-eisfair-X-patch-1, status stable) - new versions of cui files for manipulating samba users and workstations (Daniel Vogel): /var/install/bin/userman.cui.samba10.module.sh /var/install/bin/userman.cui.samba20.module.sh 1.52.0 --> 1.53.0 ----------------- - 3.5.13 (3.5.13-for-eisfair-X-patch-1, status testing) - require base 1.8.1 - require lprng 1.16.3 1.51.0 --> 1.52.0 ----------------- - 3.5.12 (3.5.12-for-eisfair-X-patch-1, status stable) 1.50.1 --> 1.51.0 ----------------- - 3.5.12 (3.5.12-for-eisfair-X-patch-1, status testing) - removed /usr/lib/libnetapi.so /usr/lib/libsmbclient.so /usr/lib/libsmbsharemodes.so /usr/lib/libtalloc.so /usr/lib/libtdb.so 1.50.0 --> 1.50.1 ----------------- - 3.5.11 (3.5.11-for-eisfair-X-patch-2, status stable) with https://attachments.samba.org/attachment.cgi?id=6919 from https://bugzilla.samba.org/show_bug.cgi?id=8458 1.49.1 --> 1.50.0 ----------------- - 3.5.11 (3.5.11-for-eisfair-X-patch-1, status stable) 1.49.0 --> 1.49.1 ----------------- - 3.5.11 (3.5.11-for-eisfair-X-patch-1, status testing) 1.48.0 --> 1.49.0 ----------------- - 3.5.9 (3.5.9-for-eisfair-X-patch-1, status unstable) - /etc/init.d/samba: remove group_mapping.ldb while starting, in old versions the file was named group_mapping.tdb 1.47.2 --> 1.48.0 ----------------- - 3.4.13 (3.4.13-for-eisfair-X-patch-1, status stable) 1.47.1 --> 1.47.2 ----------------- - 3.4.13 (3.4.13-for-eisfair-X-patch-1, status testing) 1.47.0 --> 1.47.1 ----------------- - 3.4.12 (3.4.12-for-eisfair-X-patch-1, status testing) - /usr/share/doc/samba/tools/smbwebclient.php: works with php 5.3 now 1.46.3 --> 1.47.0 ----------------- - 3.4.12 (3.4.12-for-eisfair-X-patch-1, status testing) - removed samba_vscan, not compiling with samba 3.4.x - /var/install/packages/samba: removed dependency for libpcre (only needed for samba_vscan) 1.46.2 --> 1.46.3 ----------------- - 3.4.12 (3.4.12-for-eisfair-X-patch-1, status stable) - /tmp/preinstall.sh: better check for mounted dfs-image under kernel 2.6 - removed vscan conf files from /etc - /var/install/config.d/samba.sh: remove dfs image, if SAMBA_MANUAL_CONFIGURATION='no' 1.46.1 --> 1.46.2 ----------------- - 3.4.12 (3.4.12-for-eisfair-X-patch-1, status stable) - /etc/init.d/samba, /var/install/config.d/samba.sh: better check for mounted dfs-image under kernel 2.6 1.46.0 --> 1.46.1 ----------------- - 3.4.12 (3.4.12-for-eisfair-X-patch-1, status stable) - /var/install/packages/samba, /tmp/preinstall.sh: no check for installed eiskernel version in xen 1.45.2 --> 1.46.0 ----------------- - 3.4.12 (3.4.12-for-eisfair-X-patch-1, status stable) 1.45.1 --> 1.45.2 ----------------- - 3.4.12 (3.4.12-for-eisfair-X-patch-1, status testing) samba_vscan isn't working! 1.45.0 --> 1.45.1 ----------------- - /var/install/config.d/samba.sh: changed path of sed in eisfair-2 for samba-recycle-cron (Torsten Kaestel) 1.44.5 --> 1.45.0 ----------------- - 3.4.11 (3.4.11-for-eisfair-X-patch-1, status testing) samba_vscan isn't working! 1.44.4 --> 1.44.5 ----------------- - 3.4.9 (3.4.9-for-eisfair-X-patch-1, status stable) samba_vscan isn't working! - require base 1.7.3 (for cui addons) - removed files for webconf - /tmp/install.sh: additional check for /usr/bin/corelist for installed perl_mime_base64 - added new cui files for manipulating samba users and workstations (Daniel Vogel): /var/install/bin/userman.cui.samba10.module.sh /var/install/bin/userman.cui.samba20.module.sh - /var/install/deinstall/samba: removing of crontab_file corrected (Juergen Edner) 1.44.3 --> 1.44.4 ----------------- - 3.4.9 (3.4.9-for-eisfair-X-patch-1, status stable) samba_vscan isn't working! - /var/install/bin/samba-print-pdf, /var/install/config.d/samba.sh: also allow ghostscript 9.x 1.44.2 --> 1.44.3 ----------------- - 3.4.9 (3.4.9-for-eisfair-X-patch-1, status stable) samba_vscan isn't working! 1.44.1 --> 1.44.2 ----------------- - 3.4.8 (3.4.8-for-eisfair-X-patch-1, status stable) samba_vscan isn't working! - /var/install/config.d/samba.sh: - disable 'pam password change' - better string match for 'passwd chat' 1.44.0 --> 1.44.1 ----------------- - /etc/check.d/samba.ext and /etc/config.d/samba.sh: additional check for /usr/bin/corelist for installed perl_mime_base64 1.43.8 --> 1.44.0 ----------------- - 3.4.8 (3.4.8-for-eisfair-X-patch-1, status stable) samba_vscan isn't working! 1.43.7 --> 1.43.8 ----------------- - 3.4.8 (3.4.8-for-eisfair-X-patch-1, status testing) samba_vscan isn't working! - require base 1.6.8 - built against libpopt from base update 1.6.8 - built against new pam from base update 1.6.6 - changed directory rights in the tarball: /etc/check.d: 755 -> 700 /var/install: 775 -> 755 /var/install/servadm: 755 -> 700 /var/install/packages: 775 -> 755 - /usr/share/doc/samba/tools/changepassword.cgi: built with new libc from base update 1.6.0 for eisfair-1 - /var/install/config.d/samba.sh: changed $cfgDefaultCharset in /etc/smbwebclient.conf based on SAMBA_LOCALIZATION 1.43.6 --> 1.43.7 ----------------- - 3.4.7 (3.4.7-for-eisfair-X-patch-1, status testing) samba_vscan isn't working! 1.43.5 --> 1.43.6 ----------------- - 3.4.6 (3.4.6-for-eisfair-X-patch-1, status testing) samba_vscan isn't working! - /var/install/config.d/samba.sh: setting 'wide links = yes' - /var/install/bin/samba-print-pdf, var/install/bin/samba-smbinfo: using -N in smclient command 1.43.4 --> 1.43.5 ----------------- - 3.4.5 (3.4.5-for-eisfair-X-patch-1, status testing) samba_vscan isn't working! - require lprng 1.16.0 - /var/install/bin/samba-netsend: using switch -N for smbclient to suppress password prompt due changes in smbclient in newer samba versions 1.43.3 --> 1.43.4 ----------------- - 3.4.5 (3.4.5-for-eisfair-X-patch-1, status unstable) samba_vscan isn't working! 1.43.2 --> 1.43.3 ----------------- - 3.4.4 (3.4.4-for-eisfair-X-patch-1, status unstable) samba_vscan isn't working! 1.43.1 --> 1.43.2 ----------------- - 3.4.3 (3.4.3-for-eisfair-X-patch-1, status unstable) samba_vscan isn't working! - /var/install/config.d/samba.sh: - since 3.2.0 the defaults for lanman auth client lanman auth client plaintext auth were changed to no changing them back to yes for lanman hashes in smbpasswd and access from win9x/winme - setting 'delete user script =' because otherwise unix users are deleted if samba users were deleted 1.43.0 --> 1.43.1 ----------------- - 3.4.3 (3.4.3-for-eisfair-X-patch-1, status unstable) samba_vscan isn't working! - /etc/check.d/samba.ext and samba.exp: - check for eisfair system - only allow UTF-8 for eisfair-2 - don't allow UTF-8 for eisfair-1 - don't allow SAMBA_VSCAN='yes' with samba 3.4.x - /usr/share/doc/samba/tools/smbwebclient.php: make smbwebclient work with samba 3.4.x - /var/install/config.d/samba.sh: change cfgDefaultCharset for smbwebclient to ISO-8859-15 - /usr/share/doc/samba/regpatches: added windows7_join_enable.reg and windows7_join_disable.reg 1.42.2 --> 1.43.0 ----------------- - 3.4.3 (3.4.3-for-eisfair-X-patch-1, status unstable) samba_vscan isn't working! 1.42.1 --> 1.42.2 ----------------- - 3.0.37 (3.0.37-for-eisfair-X-patch-1, status stable) 1.42.0 --> 1.42.1 ----------------- - /var/install/config.d/samba.sh: - passdb backend = smbpasswd (3.4.0 has other defaults) - kernel change notify = no (needed for eisfair-2 due kernel bug) (Christian Mueller) 1.41.0 --> 1.42.0 ----------------- - 3.0.36 (3.0.36-for-eisfair-X-patch-1, status stable) - /var/install/bin/samba-print-pdf: set path (needed for normal users in eisfair2) - /tmp/preinstall.sh: check for reboot after installation of base update 1.6.0 1.40.1 --> 1.41.0 ----------------- - 3.0.36 (3.0.36-for-eisfair-X-patch-1, status testing) 1.40.0 --> 1.40.1 ----------------- - 3.0.35 (3.0.35-for-eisfair-X-patch-2, status stable) - /tmp/install.sh: resetting nsswitch to defaults 1.39.1 --> 1.40.0 ----------------- - 3.0.35 (3.0.35-for-eisfair-X-patch-1, status stable) - removed required package usb 0.2.2 (included in base) - /tmp/preinstall.sh: check for correct installed glibc 2.3.6 on eisfair-1 1.39.0 --> 1.39.1 ----------------- - /tmp/preinstall.sh: remove /quarantine - /tmp/install.sh: remove quarantine in /samba_vscan_quarantine 1.38.1 --> 1.39.0 ----------------- - 3.0.35 (3.0.35-for-eisfair-X-patch-1, status testing) - base 1.6.0 required - /var/install/bin/samba-dfree: changed for complete commad line - /var/install/config.d/samba.sh: don't use 'dfree command' 1.38.0 --> 1.38.1 ----------------- - 3.0.34 (3.0.34-for-eisfair-X-patch-2, status stable) - /var/install/config.d/samba.sh: removed message about UTF-8 from writing to smb.conf (Christian Mueller) 1.37.1 --> 1.38.0 ----------------- - 3.0.34 (3.0.34-for-eisfair-X-patch-2, status stable) - /var/install/config.d/samba.sh: for eisfair-2: chown www-data.www-data $smbwebclientnewpath chown www-data.www-data $smbwebclientpath for eisfair-1: chown wwwrun.nogroup $smbwebclientnewpath chown wwwrun.nogroup $smbwebclientpath (Christian Mueller) 1.37.0 --> 1.37.1 ----------------- - 3.0.34 (3.0.34-for-eisfair-X-patch-2, status testing) - base 1.5.5 is required - /tmp/install.sh: move /quarantine to /samba_vscan_quarantine - /var/install/config.d/samba.sh: - using new quarantinedir /samba_vscan_quarantine if SAMBA_VSCAN='yes' - changed rights for /samba_vscan_quarantine to 1777 - /etc/vscan-antivir.conf, /etc/vscan-clamav.conf, /etc/vscan-fprotd.conf, /etc/vscan-fsav.conf, /etc/vscan-icap.conf, /etc/vscan-oav.conf, /etc/vscan-sophos.conf, /etc/vscan-trend.conf: changed quarantinedir to /samba_vscan_quarantine - /var/install/deinstall/samba: - remove $SAMBA_SMBWEBCLIENT_PATH/smbwebclient.php (Marcus Roeckrath) - remove /samba_vscan_quarantine - /var/install/bin/samba-print-pdf: - corrected german umlauts for eisfair-2 - checking also for 'unix charset = UTF-8' for eisfair-2 - /var/install/bin/samba-pdc-groupmapping: - checking also for 'unix charset = UTF-8' for eisfair-2: thats why domain group names are now: root:0:Domänen-Administratoren:512 users:100:Domänen-Benutzer:513 nogroup:65534:Domänen-Gäste:514 machines:777:Domänen-Computer:515 sys:3:Domänen-Hauptbenutzer - /etc/nsswitch.conf.samba: new file for altering /etc/nsswitch.conf thrue /var/install/bin/update-nsswitch 1.36.1 --> 1.37.0 ----------------- - 3.0.34 (3.0.34-for-eisfair-X-patch-1, status testing) - /var/install/config.d/samba.sh: implemented 'strict allocate = partial' 1.36.0 --> 1.36.1 ----------------- - /var/install/deinstall/samba: check for eisfair_system 1.35.4 --> 1.36.0 ----------------- - 3.0.33 (3.0.33-for-eisfair-X-patch-1, status stable) - /var/install/config.d/samba.sh: using correct file names for crontab entries and crontab updates for eisfair-2 (Jens Vehlhaber): crontab entry : /etc/cron/root/cronjob crontab update: /var/install/config.d/cron.sh - /var/install/deinstall/samba: same change 1.35.3 --> 1.35.4 ----------------- - /var/install/config.d/samba.sh: only write entries for SAMBA_LOCALIZATION if system is eisfair-1 (eisfair-2 uses utf8 and on the fly conversion) - only use codepages with smbfs (not cifs) 1.35.2 --> 1.35.3 ----------------- - 3.0.32 (3.0.32-for-eisfair-1-patch-3, status testing) - /var/install/bin/samba-mount-predefined-smbfs: load iocharset and codepage if needed - /etc/check.d/samba.exp: allow more iocharsets and codepages 1.35.1 --> 1.35.2 ----------------- - 3.0.32 (3.0.32-for-eisfair-1-patch-2, status testing) - samba-vscan linked with libpcre and libmagic - added SAMBA_PRINTER_x_PDF_MESSAGES 1.35.0 --> 1.35.1 ----------------- - 3.0.32 (3.0.32-for-eisfair-1-patch-1, status testing) - samba-vscan linked with libpcre and libmagic - /etc/check.d/samba.exp: allowing utf8 for SAMBA_MOUNT_%_IOCHARSET 1.34.0 --> 1.35.0 ----------------- - 3.0.31 (3.0.31-for-eisfair-1-patch-1, status testing) - samba-vscan linked with libpcre and libmagic 1.33.3 --> 1.34.0 ----------------- - 3.0.30 (3.0.30-for-eisfair1-2, status stable) - samba-vscan linked with libpcre - /var/install/config.d/samba.sh: using new 'acl group control = yes" 1.33.2 --> 1.33.3 ----------------- - 3.0.30 (3.0.30-for-eisfair-1, status testing) 1.33.1 --> 1.33.2 ----------------- - 3.0.28a (3.0.28a-for-eisfair-1, status testing) 1.33.0 --> 1.33.1 ----------------- - 3.0.28 (3.0.28-for-eisfair-2, status testing) this is 3.0.28 with various patches 1.32.4 --> 1.33.0 ----------------- - 3.0.28 (3.0.28-for-eisfair-1, status testing) - base 1.4.2 is required - /var/install/config.d/samba.sh: use IP_ETH_* (eisfair-1) or IP_NET_* (eisfair-2) from base 1.32.3 --> 1.32.4 ----------------- - 3.0.27a (3.0.27a-for-eisfair-2, status stable, with patch for CVE-2007-6015) 1.32.2 --> 1.32.3 ----------------- - 3.0.27a (3.0.27a-for-eisfair-1, status stable) 1.32.1 --> 1.32.2 ----------------- - 3.0.27 (3.0.27-for-eisfair-1, status stable) 1.32.0 --> 1.32.1 ----------------- - /var/install/bin/samba-remove-workstation: check for upper and lower case names (Marcus Hochhuth) 1.31.18 --> 1.32.0 ------------------ - 3.0.26a (3.0.26a-for-eisfair-3, status stable) - /etc/check.d/samba: make some vars dependend of their main vars (ece is only showing depending vars): - SAMBA_WINSHOOK_MESSAGE (SAMBA_WINSHOOK_MESSAGE_SEND) - SAMBA_START_MESSAGE (SAMBA_START_MESSAGE_SEND) - SAMBA_SHUTDOWN_MESSAGE (SAMBA_SHUTDOWN_MESSAGE_SEND) - SAMBA_SHUTDOWN_MESSAGE_HOSTS (SAMBA_SHUTDOWN_MESSAGE_SEND) - SAMBA_PDC_PROFILES (SAMBA_PDC) - SAMBA_PDC_LOGONSCRIPT (SAMBA_PDC) - SAMBA_VSCAN_TYPE (SAMBA_VSCAN) - SAMBA_RECYCLE_BIN_HOLD_DAYS (SAMBA_RECYCLE_BIN) - SAMBA_SMBWEBCLIENT_PATH (SAMBA_SMBWEBCLIENT) 1.31.17 --> 1.31.18 ------------------- - 3.0.26a (3.0.26a-for-eisfair-2, status testing) - readded samba-vscan: SAMBA_VSCAN SAMBA_VSCAN_TYPE SAMBA_SHARE_x_VSCAN (samba_vscan now compile again with newer samba versions) - /var/install/config.d/samba.sh: removed N-entries in configuration (irritating with ece) # 1. share # 2. share 1.31.16 --> 1.31.17 ------------------- - 3.0.26a (3.0.26a-for-eisfair-1, status testing) 1.31.15 --> 1.31.16 ------------------- - 3.0.25c (3.0.25c-for-eisfair-2, status testing) - /tmp/install.sh: - linking /usr/sbin/mount.cifs to /sbin/mount.cifs - linking /usr/sbin/umount.cifs to /sbin/umount.cifs - setting /usr/sbin/mount.cifs and /usr/sbin/umount.cifs to 4755 1.31.14 --> 1.31.15 ------------------- - 3.0.25c (3.0.25c-for-eisfair-1, status testing) 1.31.13 --> 1.31.14 ------------------- - /var/install/config.d/samba-update.sh: don't writing SAMBA_MOUNT_"$idx"_SERVER twice (Marcus Hochhuth, Marcus Roeckrath) - added wbinfo 1.31.12 --> 1.31.13 ------------------- - 3.0.25b (3.0.25b-for-eisfair-3, status testing) - /tmp/preinstall.sh: only stopping installation, if /samba_dfs exists and the dfs image ist not mounted (Marcus Hochhuth) - added mount.cifs umount.cifs wbinfo winbindd libnss_winbind.so libnss_wins.so pam_winbind.so - added SAMBA_MOUNT_x_VFSTYPE for smbfs or cifs (only smbfs is supported with eisfair kernel 2.4) - changed following scripts for cifs: /etc/init.d/smbfs /var/install/config.d/samba.sh /var/install/config.d/samba-update.sh /var/install/bin/samba-dismount-smbfs /var/install/bin/samba-list-smbfs /var/install/bin/samba-mount-predefined-smbfs /var/install/bin/samba-mount-smbfs 1.31.11 --> 1.31.12 ------------------- - 3.0.25b (3.0.25b-for-eisfair-2, status testing) - /var/install/bin/samba-edit: execute /var/install/config.d/samba.sh after stopping samba and smbfs due errors with dfs image - /var/install/config.d/samba.sh: only creating and mounting dfsimage, if $SAMBA_DFSROOT_N" is greater than 0 (Jens Berger) 1.31.10 --> 1.31.11 ------------------- - 3.0.25b (3.0.25b-for-eisfair-1, status testing) - /var/install/config.d/samba.sh: lprng_print_command corrected 1.31.9 --> 1.31.10 ------------------ - 3.0.25a (3.0.25a-for-eisfair-2, status testing) with patches: allow_c.patch auth.patch offline.patch time.patch - require base 1.4.0 - require lprng 1.13.1 - /etc/check.d/samba: changed check value for SAMBA_PRINTER_%_PDF_USERPASS SAMBA_PRINTER_%_PDF_OWNERPASS SAMBA_MOUNT_%_PASS from NONE to PASSWD (for special handling in ece) - reworked samba-lookup-active samba-lookup-all samba-netsend samba-remote-shutdown in /var/install/bin for using 'ip name' per line for hopefully faster processing 1.31.8 --> 1.31.9 ----------------- - 3.0.25a (3.0.25a-for-eisfair-1, status testing) - /var/install/config.d/samba.sh: removed error messages from non existent dfs root pathes in configuration output - /var/install/bin/samba-lookup-active: also names with '-' in output (thanks to Jean Wolter and Stefan Heidrich) 1.31.7 --> 1.31.8 ----------------- - 3.0.25a (3.0.25a-for-eisfair-1, status unstable) - /tmp/preinstall.sh: - don't install if there is a directory /samba_dfs on the hard disk and the installed samba version is less than 1.31.7 - don't install if there is a directory /samba_dfs on the hard disk and samba is not installed - /var/install/bin/samba-debug: allow own debug level for logging - removed SAMBA_DFSROOT SAMBA_DFSROOT_RW SAMBA_DFSROOT_BROWSE SAMBA_DFSROOT_USER SAMBA_DFSROOT_PUBLIC SAMBA_DFSROOT_READ_LIST SAMBA_DFSROOT_WRITE_LIST SAMBA_DFSROOT_FORCE_CMODE SAMBA_DFSROOT_FORCE_DIRMODE SAMBA_DFSROOT_FORCE_USER SAMBA_DFSROOT_FORCE_GROUP SAMBA_DFSROOT_DFSLNK_N SAMBA_DFSROOT_DFSLNK_x_ACTIVE SAMBA_DFSROOT_DFSLNK_x_SUBPATH SAMBA_DFSROOT_DFSLNK_x_NAME SAMBA_DFSROOT_DFSLNK_x_UNC_N SAMBA_DFSROOT_DFSLNK_x_UNC_1_PATH - added SAMBA_DFSROOT_N SAMBA_DFSROOT_x_ACTIVE SAMBA_DFSROOT_x_NAME SAMBA_DFSROOT_x_COMMENT SAMBA_DFSROOT_x_RW SAMBA_DFSROOT_x_BROWSE SAMBA_DFSROOT_x_USER SAMBA_DFSROOT_x_PUBLIC SAMBA_DFSROOT_x_READ_LIST SAMBA_DFSROOT_x_WRITE_LIST SAMBA_DFSROOT_x_FORCE_CMODE SAMBA_DFSROOT_x_FORCE_DIRMODE SAMBA_DFSROOT_x_FORCE_USER SAMBA_DFSROOT_x_FORCE_GROUP SAMBA_DFSROOT_x_DFSLNK_N SAMBA_DFSROOT_x_DFSLNK_y_ACTIVE SAMBA_DFSROOT_x_DFSLNK_y_SUBPATH SAMBA_DFSROOT_x_DFSLNK_y_NAME SAMBA_DFSROOT_x_DFSLNK_y_UNC_N SAMBA_DFSROOT_x_DFSLNK_y_UNC_z_PATH (thanks to Raphael Gradenwitz for ideas and work) - new script /var/install/bin/samba-netbios-mail - /var/install/config.d/samba.sh: - changing map read only = permissions to the default map read only = yes if kernel is not acl/attr capable and / is not mounted with 'acl,user_xattr' otherwise setting map read only = no - message command doesn't working since security patches, calling /var/install/bin/samba-netbios-mail now: old: message command = /bin/mail -s 'message from %f' root < %s; rm %s new: message command = /var/install/bin/samba-netbios-mail '%f' '%s' - /etc/check.d/samba: - make many vars dependend on their _ACTIVE_ vars (ece is only showing depending vars) - removed check for SAMBA_NAME_WARN from SAMBA_DFSROOT_%_NAME (DOS has no DFS client) - /etc/check.d/samba.exp: allowing ',' in SAMBA_UNCPATH and SAMBA_LNKNAME 1.31.6 --> 1.31.7 ----------------- - 3.0.25 (3.0.25-for-eisfair-1, status unstable) - /tmp/preinstall.sh: don't install if there is a directory /samba_dfs on the hard disk - removed SAMBA_SHARE_x_DFSROOT SAMBA_SHARE_x_DFSLNK_N SAMBA_SHARE_x_DFSLNK_y_ACTIVE SAMBA_SHARE_x_DFSLNK_y_SUBPATH SAMBA_SHARE_x_DFSLNK_y_NAME SAMBA_SHARE_x_DFSLNK_y_UNC_N SAMBA_SHARE_x_DFSLNK_y_UNC_z_PATH - added SAMBA_DFSROOT SAMBA_DFSROOT_RW SAMBA_DFSROOT_BROWSE SAMBA_DFSROOT_USER SAMBA_DFSROOT_PUBLIC SAMBA_DFSROOT_READ_LIST SAMBA_DFSROOT_WRITE_LIST SAMBA_DFSROOT_FORCE_CMODE SAMBA_DFSROOT_FORCE_DIRMODE SAMBA_DFSROOT_FORCE_USER SAMBA_DFSROOT_FORCE_GROUP SAMBA_DFSROOT_DFSLNK_N SAMBA_DFSROOT_DFSLNK_x_ACTIVE SAMBA_DFSROOT_DFSLNK_x_SUBPATH SAMBA_DFSROOT_DFSLNK_x_NAME SAMBA_DFSROOT_DFSLNK_x_UNC_N SAMBA_DFSROOT_DFSLNK_x_UNC_1_PATH - /etc/check.d/samba.exp: allow '+' in SAMBA_UNCPATH and SAMBA_LNKNAME DFS links are now restricted to the path '/samba_dfs'. It is necessary to remove this path every time Samba is configured so don't store files or folders in this share! The share name is 'dfs' so don't use this name in normal shares! 1.31.5 --> 1.31.6 ----------------- - 3.0.25rc4 from svn (3.0.25rc4-for-eisfair-1, status unstable) (fixing the realloc problem) 1.31.4 --> 1.31.5 ----------------- - 3.0.25rc3 from svn (3.0.25rc3-for-eisfair-2, status unstable) (hopefully fixing the realloc problem) - /etc/check.d/samba.exp: changed regexp of SAMBA_UNCPATH and SAMBA_LNKNAME - /etc/check.d/samba.ext: check for unique pathes for msdfs links per share 1.31.3 --> 1.31.4 ----------------- - added SAMBA_SHARE_x_DFSROOT SAMBA_SHARE_x_DFSLNK_N SAMBA_SHARE_x_DFSLNK_y_ACTIVE SAMBA_SHARE_x_DFSLNK_y_SUBPATH SAMBA_SHARE_x_DFSLNK_y_NAME SAMBA_SHARE_x_DFSLNK_y_UNC_N SAMBA_SHARE_x_DFSLNK_y_UNC_z_PATH 1.31.2 --> 1.31.3 ----------------- - 3.0.25rc3 (3.0.25rc3-for-eisfair-1, status unstable) - /var/install/config.d/samba.sh: - removed 'host msdfs = no' in global (the default is yes now) - removed 'msdfs root = no' in global (this is the default now) 1.31.1 --> 1.31.2 ----------------- - 3.0.25rc1 (3.0.25rc1-for-eisfair-2, status unstable) - /var/install/bin/samba-netsend: nmblookup command corrected 1.31.0 --> 1.31.1 ----------------- - 3.0.25rc1 (3.0.25rc1-for-eisfair-1, status unstable) - /var/install/config.d/samba.sh: - new function do_valid_users - added jobname for lprng prints if printing from windows - removed 'max stat cache size = 1024' (this is the default now) - added 'dfree cache time = 3' to do_share_always - /etc/init.d/samba: create empty unexpected.tdb - /var/install/bin/samba-netsend: using old nmblookup method 1.30.3 --> 1.30.4 ----------------- - /var/install/bin/samba-lookup-active: also names with '-' in output (thanks to Jean Wolter and Stefan Heidrich) 1.30.2 --> 1.30.3 ----------------- - 3.0.24 (3.0.24-gc-3, status stable) with patches (3.0.24-gc-3 fixes 'force group'): client.patch dfree.patch net_view.patch nt4_domain_clients.patch process.patch vista_driver_upload.patch - new script /var/install/bin/samba-netbios-mail - /var/install/config.d/samba.sh: message command doesn't working since security patches, calling /var/install/bin/samba-netbios-mail now: old: message command = /bin/mail -s 'message from %f' root < %s; rm %s new: message command = /var/install/bin/samba-netbios-mail '%f' '%s' 1.30.1 --> 1.30.2 ----------------- - 3.0.24 (3.0.24-for-eisfair-4, status stable) with patches: dfs_referral.diff directory_delete.diff net_view.patch nt4_domain_clients.patch share_security_ntlmv2.diff spoolss.diff variable_os_expansion.diff vista_backup_acl.diff vista_driver_upload.patch dfree.patch parse_spoolss.patch samba-3.0.24-CVE-2007-2444.patch (new) samba-3.0.24-CVE-2007-2446.patch (new) samba-3.0.24-CVE-2007-2447.patch (new) 1.30.1 --> 1.31.0 ----------------- - 3.0.25pre2 (3.0.25pre2-for-eisfair-1, status unstable) - require lprng 1.13.0 - removed SAMBA_VSCAN SAMBA_VSCAN_TYPE SAMBA_SHARE_x_VSCAN (samba_vscan doesn't compile with newer samba version) - /var/install/config.d/samba.sh: - adding admin user root to valid users, if public is no in printers and shares and root is not listed in valid users and valid users are filled (needed for printer installations and other things) - removed configuration for LPRNG_LOCAL_PRINTER_N (this is for a long time LPRNG_LOCAL_PARPORT_PRINTER_N now) - new lprng print command, if ':smbinfo=yes' is found in /etc/printcap (/var/install/bin/lprng-print %p %s %U %m %L %I %a) - setting 'printcap cache time = 0' (no scanning for new or removed printers) 1.30.3 --> 1.30.4 ----------------- - /var/install/bin/samba-lookup-active: also names with '-' in output (thanks to Jean Wolter) 1.30.2 --> 1.30.3 ----------------- - 3.0.24 (3.0.24-gc-3, status stable) with patches (3.0.24-gc-3 fixes 'force group'): client.patch dfree.patch net_view.patch nt4_domain_clients.patch process.patch vista_driver_upload.patch - new script /var/install/bin/samba-netbios-mail - /var/install/config.d/samba.sh: message command doesn't working since security patches, calling /var/install/bin/samba-netbios-mail now: old: message command = /bin/mail -s 'message from %f' root < %s; rm %s new: message command = /var/install/bin/samba-netbios-mail '%f' '%s' 1.30.1 --> 1.30.2 ----------------- - 3.0.24 (3.0.24-for-eisfair-4, status stable) with patches: dfs_referral.diff directory_delete.diff net_view.patch nt4_domain_clients.patch share_security_ntlmv2.diff spoolss.diff variable_os_expansion.diff vista_backup_acl.diff vista_driver_upload.patch dfree.patch parse_spoolss.patch samba-3.0.24-CVE-2007-2444.patch (new) samba-3.0.24-CVE-2007-2446.patch (new) samba-3.0.24-CVE-2007-2447.patch (new) 1.30.0 --> 1.30.1 ----------------- - 3.0.24 (3.0.24-for-eisfair-3, status stable) with patches: dfs_referral.diff directory_delete.diff net_view.patch nt4_domain_clients.patch share_security_ntlmv2.diff spoolss.diff variable_os_expansion.diff vista_backup_acl.diff vista_driver_upload.patch dfree.patch parse_spoolss.patch (new) - /etc/check.d/samba.ext: better error messages, some checks reordered - /var/install/config.d/samba.sh: homes not browseable in manual configuration (Martin Eckart, Jens Berger)